/*******************************************************************************
EnumCM_CalculatedValue *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for CalculatedValue
 */
public enum EnumCV_CalculatedValue 
{
	// Calculated Value - CID 6142
		CAVITY_EXTENT_AS_PERCENT_OF_VOLUME_112017("112017"),
		CALCIFICATION_EXTENT_AS_PERCENT_OF_SURFACE_112018("112018"),
		CALCIFICATION_EXTENT_AS_PERCENT_OF_VOLUME_112019("112019"),
		CALCIUM_SCORE_112058("112058"),
		BREAST_TISSUE_DENSITY_112191("112191"),
		VOLUME_OF_PARENCHYMAL_TISSUE_112192("112192"),
		VOLUME_OF_BREAST_112193("112193"),
		MASS_OF_PARENCHYMAL_TISSUE_112194("112194"),
		MASS_OF_BREAST_112195("112195"),
		AREA_OF_VASCULAR_CALCIFICATION_112196("112196"),
		VOLUME_OF_VASCULAR_CALCIFICATION_112197("112197"),
		PERCENTAGE_OF_VASCULAR_CALCIFICATION_112198("112198"),
		MASS_OF_VASCULAR_CALCIFICATION_112199("112199"),
		AVERAGE_CALCIFICATION_DISTANCE_IN_A_CALCIFICATION_CLUSTER_112200("112200"),
		STANDARD_DEVIATION_DISTANCE_OF_CALCIFICATIONS_IN_A_CLUSTER_112201("112201");

	private String value;

	EnumCV_CalculatedValue(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
